SDL_StorageReady(3)

NAME
SDL_StorageReady - Checks if the storage container is ready to use.

HEADER FILE
Defined in SDL3/SDL_storage.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_StorageReady(SDL_Storage *storage);

DESCRIPTION
This function should be called in regular intervals until it returns SDL_TRUE
 - however, it is not recommended to spinwait on this call, as the backend may depend on a synchronous message loop.

FUNCTION PARAMETERS

storage
    a storage container to query

RETURN VALUE
Returns SDL_TRUE
 if the container is ready, SDL_FALSE
 otherwise

AVAILABILITY
This function is available since SDL 3.0.0.